Bug 463038 - Swfdec triggers an SELinux violation due to executable stack
Swfdec triggers an SELinux violation due to executable stack
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: swfdec (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-09-20 20:36 EDT by Ben Gamari
Modified: 2013-01-09 23:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 13:48:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Alert file from setroubleshoot (3.64 KB, text/plain)
2008-09-20 20:38 EDT, Ben Gamari
no flags Details

  None (edit)
Description Ben Gamari 2008-09-20 20:36:42 EDT
Description of problem:
Attempting to use any embedded swfdec instance in firefox (e.g. YouTube), triggers an SELinux denial and freezes the browser. The only solution is to kill firefox.
Comment 1 Ben Gamari 2008-09-20 20:38:15 EDT
Created attachment 317298 [details]
Alert file from setroubleshoot
Comment 2 Ben Gamari 2008-09-20 20:45:10 EDT
Following setroubleshoot's advice (running chcon -t unconfined_execmem_exec_t '/usr/lib64/firefox-3.0.1/firefox') seems to fix the issue although I definitely don't like the thought of my browser being able to execute from the stack. Moreover, setroubleshoot's description claims that an executable stack should never be necessary. Unfortunately, I wasn't able to find any libraries with the execstack flag set so I wasn't able to try clearing it. Does swfdec really need an execstack.
Comment 3 Matt Domsch 2008-10-25 00:01:59 EDT
yet another execmem programming problem highlighted by selinux.  Seems we've found a few of these lately...
Comment 4 Daniel Walsh 2008-10-27 10:55:02 EDT
The problem here is that flash plugin requires execmem, a better solution is to install nspluginwrapper and run flash in a separate process that is confined.

After you install the plugin wrapper you should relabel your home directory.

restorecon -R -v ~/
Comment 5 Daniel Walsh 2008-10-29 13:58:01 EDT
You should really report a bug to adobe so we can get them to fix it or tell us why they can not.

Sadly I have to turn off this checking in 

selinux-policy-3.5.13-10.fc10

You  can turn it off by executing setsebool -P allow_execstack 1
Comment 6 Jesse Keating 2008-10-29 14:30:25 EDT
Re-opening to Modified until the build is actually tagged for rawhide.
Comment 7 Bill Nottingham 2008-11-04 13:48:05 EST
Which it is now.

Note You need to log in before you can comment on or make changes to this bug.